Astra linux 1.7 (орел) и VMware player

A1exseder

New member
Сообщения
8
#1
Доброго времени суток! Столкнулся с проблемой установки виртуальной машины.
Дальше скрипты по настройке плеера выполнить не получается.
Может кто-то из гуру форума поможет со скриптами, что бы VMware player все же установился.
Спасибо
 

Вложения

Mischutka

New member
Сообщения
202
#2
Доброго времени суток! Столкнулся с проблемой установки виртуальной машины.
Дальше скрипты по настройке плеера выполнить не получается.
Может кто-то из гуру форума поможет со скриптами, что бы VMware player все же установился.
Спасибо
Причём тут скрипты? Установщик не может найти в вашей системе GCC 8.3.0. Вам предлагается указать место, в которое он установлен (если он, конечно, установлен) или установить его.

Введите в терминале
Код:
gcc-v
Что выводится в результате?
 

A1exseder

New member
Сообщения
8
#5
user@astra:~$ gcc - v
bash: gcc: команда не найдена
user@astra:~$ gcc -v
bash: gcc: команда не найдена
 

A1exseder

New member
Сообщения
8
#6
user@astra:~$ sudo apt-get install build-essential
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Пакет build-essential недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list
 

A1exseder

New member
Сообщения
8
#10
sours.list
deb cdrom:[OS Astra Linux 1.7.1 1.7_x86-64 DVD ]/ 1.7_x86-64 contrib main non-free
#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-main/ 1.7_x86-64 main contrib non-free
#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-update/ 1.7_x86-64 main contrib non-free

#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-base/ 1.7_x86-64 main contrib non-free
#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-extended/ 1.7_x86-64 main contrib non-free
и все же как добавить корректный репозиторий, что бы установить хоть, что то по нормальному на эту ОС
 
Последнее редактирование:

Montfer

New member
Сообщения
2 069
#11
# - это значит, что строка закомментирована (репа отключена)
 

Mischutka

New member
Сообщения
202
#12
sours.list
deb cdrom:[OS Astra Linux 1.7.1 1.7_x86-64 DVD ]/ 1.7_x86-64 contrib main non-free
#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-main/ 1.7_x86-64 main contrib non-free
#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-update/ 1.7_x86-64 main contrib non-free

#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-base/ 1.7_x86-64 main contrib non-free
#deb https://download.astralinux.ru/astra/stable/1.7_x86-64/repository-extended/ 1.7_x86-64 main contrib non-free
и все же как добавить корректный репозиторий, что бы установить хоть, что то по нормальному на эту ОС
Раскомментируй (убери # в начале строк) имеющиеся репозитории, а то у Вас кроме cdrom ничего не подключено.
 

A1exseder

New member
Сообщения
8
#16
спасибо! поправил репозитории
НО
user@astra:~$ sudo apt-get install build-essential
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Пакет build-essential недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list

E: Для пакета «build-essential» не найден кандидат на установк
PS.Всем кто откликнулся спасибо огромное и + в репу, нашел ответы на вопросы
 
Последнее редактирование:

Mischutka

New member
Сообщения
202
#17
спасибо! поправил репозитории
НО
user@astra:~$ sudo apt-get install build-essential
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Пакет build-essential недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list

E: Для пакета «build-essential» не найден кандидат на установк
Нужно ли перезагружать систему?
После правки списка репозиториев, нужно его обновить:
Код:
sudo apt update
 

Montfer

New member
Сообщения
2 069
#18
после внесения изменений в списках репозиториев всегда первым делом sudo apt update